/* Universal */
div.early-access-banner {
  position: relative;
  margin: 0 auto;
}
div.early-access-banner div.banner {
  display: flex;
  border: 0;
  background-color: #283629;
}
div.early-access-banner div.banner div.logo {
  background-color: #e2edab;
}
div.early-access-banner div.banner div.text {
  flex: 1;
}
div.early-access-banner div.banner div.text h1 {
  margin: 0;
  font-weight: 600;
  color: #ffffff;
}
div.early-access-banner div.banner div.text p {
  color: #e2edab;
  margin: 0.4em 0 0 0;
}
div.early-access-banner div.banner a.link {
  padding: 0.5em 0.75em;
  background-color: #ffffff;
  color: #283629;
  border-radius: 0.4em;
  text-decoration: none;
  font-size: 1.6em;
  font-weight: 600;
  white-space: nowrap;
}
div.early-access-banner button[name="dismiss"] {
  position: absolute;
  top: 0.75em;
  right: 0.75em;
  background: none;
  border: none;
  cursor: pointer;
  color: #fff;
}

/* Mobile */
div.early-access-banner {
}
div.early-access-banner div.banner {
  padding: 1.6em;
  flex-direction: column;
}
div.early-access-banner div.banner div.logo {
  display: none;
}
div.early-access-banner div.banner div.text h1 {
  font-size: 2em;
}
div.early-access-banner div.banner div.text p {
  font-size: 1.4em;
}
div.early-access-banner div.banner a.link {
  align-self: flex-end;
  margin-top: 1em;
}

/* Desktop */
@media only screen and (min-width: 768px) {
  div.early-access-banner {
    max-width: 1280px;
  }
  div.early-access-banner div.banner {
    padding: 0;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 1.5em;
  }
  div.early-access-banner div.banner div.logo {
    display: block;
    width: 9.5em;
    height: 9.5em;
  }
  div.early-access-banner div.banner div.text h1 {
    font-size: 2.8em;
  }
  div.early-access-banner div.banner div.text p {
    font-size: 1.8em;
  }
  div.early-access-banner div.banner a.link {
    align-self: center;
    margin-top: 0;
    margin-right: 2em;
  }
}